# jQuery.smoothScroll

jQuery plugin for smoothScroll

## Getting Started
### Prerequisities

jQuery

### Example

```javascript
$('.selector').smoothScroll();
```

```javascript
$('.selector').smoothScroll({
  // options here...
});
```

## API
### $scroller
Element(s) that scroll
```
default: $('html, body')
options: jQuery
```

### duration
Duration of scrolling
```
default: 1000
options: Integer
```

### easing
Easing of scrolling
```
default: 'swing'
options: String
```

### cancelable
If this property is set to true, user can cancel scrolling during animation by firing 'cancelEvent'.
```
default: true
options:  Boolean
```

### cancelEvent
When 'cancelable' is set to true, firing these space-separated event(s) stops scrolling

Event namespace is optional, actually not used
```
default: 'click.ss:cancel scroll.ss:cancel mousedown.ss:cancel wheel.ss:cancel DOMMouseScroll.ss:cancel mousewheel.ss:cancel keyup.ss:cancel touchstart.ss:cancel'
options:  Boolean
```

### onCancel
Callback excuted when scrolling is canceled before completion.
```
default: function() {}
options:  Function
```

### afterScroll
Callback excuted when scrolling is completed.
```
default: function() {}
options:  Function
```

## License

This project is licensed under the MIT License - see the [LICENSE.md](LICENSE.md) file for details
